Skip to main content
GET
/
event-types
List scheduling pages
curl --request GET \
  --url https://api.zeeg.me/v2/event-types \
  --header 'Authorization: Bearer <token>'
{
  "collection": [
    {
      "uri": "https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
      "uuid": "80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
      "title": "30-Minute Discovery Call",
      "type": "ONE_ON_ONE",
      "slug": "30min-discovery-call",
      "schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call",
      "isActive": true,
      "duration": 30,
      "eventDurations": [
        {
          "minutes": 30,
          "default": true
        }
      ],
      "profile": {
        "type": "User",
        "firstName": "Lena",
        "lastName": "Meier",
        "slug": "lena-meier",
        "url": "https://zeeg.me/lena-meier",
        "avatarUrl": null,
        "email": "lena.meier@horizondigital.de"
      },
      "description": "<p>Let's connect for a quick 30-minute discovery call to explore how we can help your business grow.</p>",
      "color": "2196f3",
      "maxActiveInvitees": 1,
      "inviteeNameFormat": "FULL_NAME",
      "inviteePhoneNumber": false,
      "inviteeQuestions": [
        {
          "id": 1,
          "order": 1,
          "question": "What would you like to discuss?",
          "isActive": true,
          "isRequired": true,
          "type": "TEXT_INPUT",
          "options": null
        }
      ]
    },
    {
      "uri": "https://api.zeeg.me/v2/event-types/c12e6d26-1051-4e24-9380-8cca56609b9c",
      "uuid": "c12e6d26-1051-4e24-9380-8cca56609b9c",
      "title": "Product Demo",
      "type": "ONE_ON_ONE",
      "slug": "product-demo",
      "schedulingUrl": "https://zeeg.me/lena-meier/product-demo",
      "isActive": true,
      "duration": 60,
      "eventDurations": [
        {
          "minutes": 60,
          "default": true
        },
        {
          "minutes": 45,
          "default": false
        }
      ],
      "profile": {
        "type": "User",
        "firstName": "Lena",
        "lastName": "Meier",
        "slug": "lena-meier",
        "url": "https://zeeg.me/lena-meier",
        "avatarUrl": null,
        "email": "lena.meier@horizondigital.de"
      },
      "description": "<p>See our product in action with a comprehensive demo tailored to your needs.</p>",
      "color": "4caf50",
      "maxActiveInvitees": 1,
      "inviteeNameFormat": "FULL_NAME",
      "inviteePhoneNumber": true,
      "inviteeQuestions": [
        {
          "id": 2,
          "order": 1,
          "question": "What is your company size?",
          "isActive": true,
          "isRequired": true,
          "type": "RADIO_INPUT",
          "options": [
            "1-10",
            "11-50",
            "51-200",
            "200+"
          ]
        },
        {
          "id": 3,
          "order": 2,
          "question": "Please share anything that will help prepare for our meeting.",
          "isActive": true,
          "isRequired": false,
          "type": "TEXT_INPUT",
          "options": null
        }
      ]
    }
  ],
  "pagination": {
    "total": 2,
    "count": 2,
    "totalPages": 1,
    "previousPage": null,
    "currentPage": 1,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

userSlug
string

Filter for scheduling pages of a specific user in your organization. Only usable with an organization admin/owner token.

Example:

"lena-meier"

count
number
default:20

Limit the number of returned results per page.

Required range: 1 <= x <= 100
Example:

10

page
number

Page number for paginated results.

Required range: x >= 1

Response

OK

collection
object[]
pagination
object
Last modified on April 4, 2026